release_console_sem
Prev | Kernel utility functions | Next

## Name

release_console_sem — unlock the console system

## Synopsis

`void release_console_sem (` |  | void`)`;

## Arguments

`void`

  no arguments

## Description

Releases the semaphore which the caller holds on the console system and the console driver list.

While the semaphore was held, console output may have been buffered by `printk`. If this is the case, `release_console_sem` emits the output prior to releasing the semaphore.

If there is output waiting for klogd, we wake it up.

`release_console_sem` may be called from any context.

Prev | Up | Next
acquire_console_sem | Home | console_conditional_schedule